Skip to content

Create a new checkin

Request

Creates a new checkin for a goal with optional value, status, and note

Bodyapplication/json
goal_uuidstring

UUID of the goal being checked in

checkinable_uuidstring

UUID of the goal (deprecated, use goal_uuid)

valuenumber

Checkin value

Default:null
statusstring

Checkin status

Default:"not_started"
Enum:"not_started""in_progress""on_track""behind""at_risk""closed""postponed"
notestring

Checkin note

Default:null
checkin_datestring

Checkin date (YYYY-MM-DD)

timezone_offsetnumberrequired

Timezone offset in minutes

scorenumber

Score (only for closed status)

progress_modestring

Progress mode for the goal

Enum:"manual""rollup""integration"
labelsArray of strings

Label names to apply to the check-in

POST
/rest/v2/checkins
curl -i -X POST \
  https://api.rhythms.ai/rest/v2/checkins \
  -H 'Content-Type: application/json' \
  -d '{
    "goal_uuid": "string",
    "checkinable_uuid": "string",
    "value": null,
    "status": "not_started",
    "note": null,
    "checkin_date": "string",
    "timezone_offset": 0,
    "score": 0,
    "progress_mode": "manual",
    "labels": [
      "string"
    ]
  }'

Responses

Success

Headers
any
Body*/*
uuidstringrequired

Uuid

goal_uuidstringrequired

Goal uuid

metric_uuidstring

Metric uuid

Default:null
valuenumber

Value

Default:null
progressnumber

Progress

Default:null
scorenumber

Score

Default:null
checkin_datestringrequired

Checkin date

statusstring

Status

Default:"not_started"
notestring

Note

Default:null
creator_uuidstringrequired

Creator uuid

source_infoobjectrequired

Source info

Default:"{}"
mentioned_entitiesobjectrequired

Mentioned entities

Default:"[]"
Response
{
  "uuid": "string",
  "goal_uuid": "string",
  "metric_uuid": null,
  "value": null,
  "progress": null,
  "score": null,
  "checkin_date": "string",
  "status": "not_started",
  "note": null,
  "creator_uuid": "string",
  "source_info": "{}",
  "mentioned_entities": "[]"
}